Subject: Re: [patch 1/2]d80211: hardware TKIP support for ipw3945

From: Johannes Berg <[email-masked]>
Date: Mon, 23 Oct 2006 14:48:00 +0200

On Mon, 2006-10-23 at 14:40 +0200, Jiri Benc wrote:

> I don't like extending ieee80211_tx_control by 16 more bytes. The
> driver is required to store a copy of each ieee80211_tx_control
> (because it's copied to ieee80211_tx_status). I don't have a better
> idea, though. Anybody?

A pointer that goes somewhere else? I suppose it could even be in the
skb's cb field.

> Please write more descriptive comments (e.g. there should be stated
> that tkip_include_mmic is relevant only when using hw crypto).

Also, something I just came to think of, bcm43xx does phase2 mixing in
hw and requires phase1 in software. Do we handle that with or without
this patch? If not, it'd be nice to fix it up together.

johannes